## kpublicalerts 0.0.0+p24.04+vunstable+git20251202.1021

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(kpublicalerts)

set(PROJECT_VERSION "24.02")

set(CMAKE_CXX_STANDARD 20)
set(QT_MIN_VERSION 6.5)
set(KF_MIN_VERSION 6.18)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMAddTests)
include(ECMQmlModule)
include(ECMAddAndroidApk)
include(ECMDeprecationSettings)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KPUBLICALERTS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Positioning Location)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Kirigami I18n GuiAddons Notifications)
find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
find_package(KWeatherCore REQUIRED)
find_package(KUnifiedPush REQUIRED)

if (NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
else()
    if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
        set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
    endif()
    find_package(OpenSSL REQUIRED)
endif()

ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 6.8
    KF 6.10
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause
# SPDX-License-Identifier: BSD-2-Clause

add_executable(publicalerts)

target_compile_definitions(publicalerts PRIVATE -DTRANSLATION_DOMAIN=\"kpublicalerts\")
target_sources(publicalerts PRIVATE
    alertsmanager.cpp
    alertssortproxymodel.cpp
    application.cpp
    areamodel.cpp
    caputil.cpp
    geomath.cpp
    main.cpp
    polygonsimplifier.cpp
    restapi.cpp
    subscription.cpp
    subscriptionmanager.cpp
)
target_include_directories(publicalerts PRIVATE ${CMAKE_BINARY_DIR})
if (ANDROID)
    target_sources(publicalerts PRIVATE notifyrc.qrc)
endif()

set_source_files_properties(OSMPlugin.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
ecm_add_qml_module(publicalerts URI "org.kde.publicalerts" NO_PLUGIN
    QML_FILES
        AlertPage.qml
        AlertsPage.qml
        Main.qml
        MapView.qml
        OSMPlugin.qml
        SubscriptionArea.qml
        SubscriptionPage.qml
        SubscriptionsPage.qml
    DEPENDENCIES
        "org.kde.kirigami"
        "org.kde.weathercore"
        "QtLocation"
        "QtQuick"
)

target_link_libraries(publicalerts PRIVATE
    KWeatherCore
    KUnifiedPush
    KF6::CoreAddons
    KF6::Notifications
    KF6::GuiAddons
    KF6::I18n
    KF6::I18nQml
    Qt::Quick
    Qt::QuickControls2
    Qt::Positioning
)
if (NOT ANDROID)
    target_link_libraries(publicalerts PRIVATE Qt::Widgets KF6::DBusAddons)
    if (TARGET KF6::Crash)
        target_link_libraries(publicalerts PRIVATE KF6::Crash)
    endif()
else()
    target_link_libraries(publicalerts PRIVATE OpenSSL::SSL Qt::Svg KF6::Kirigami)
    kirigami_package_breeze_icons(ICONS
        ${KIRIGAMI_ADDONS_ICONS}
        car
        cloudstatus
        cross-shape
        document-open-symbolic
        earthquake
        edit-delete
        help-about-symbolic
        hotspot
        internet-services-symbolic
        list-add
        map-globe
        network-wireless-hotspot
        notifications
        office-chart-polar-stacked
        security-high-symbolic
        weather-storm
    )
    ecm_add_android_apk(publicalerts ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
endif()

install(TARGETS publicalerts ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
if (NOT ANDROID)
    install(PROGRAMS org.kde.publicalerts.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    configure_file(org.kde.publicalerts.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.publicalerts.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.publicalerts.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
    install(FILES publicalerts.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

=== debian/changelog ===
kpublicalerts (0.0.0+p24.04+vunstable+git20251202.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:21:47 +0000

kpublicalerts (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 21:30:32 +1000

## kpublicalerts 0.0.0+p24.04+vunstable+git20260124.0053

=== debian/changelog ===
kpublicalerts (0.0.0+p24.04+vunstable+git20260124.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:53:11 +0000

## kpublicalerts 0.0.0+p24.04+vunstable+git20260130.1432

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 set(CMAKE_CXX_STANDARD 20)
 set(QT_MIN_VERSION 6.5)
-set(KF_MIN_VERSION 6.18)
+set(KF_MIN_VERSION 6.19)
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_test(NAME publicalerts-self-test COMMAND publicalerts --self-test)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(app)

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,6 @@
     KUnifiedPush
     KF6::CoreAddons
     KF6::Notifications
-    KF6::GuiAddons
     KF6::I18n
     KF6::I18nQml
     Qt::Quick

=== debian/changelog ===
kpublicalerts (0.0.0+p24.04+vunstable+git20260130.1432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:32:42 +0000

=== debian/control ===
Source: kpublicalerts
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kunifiedpush-dev,
               libkweathercore-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-positioning-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kpublicalerts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kpublicalerts
Maintainer: Neon CI <neon@kde.org>

Package: kpublicalerts
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: retrieval of weather information including forecasts and alerts
 Library to facilitate retrieval of weather information including
 forecasts and alerts.
